[plt-scheme] planet server upgraded

From: Carl Eastlund (cce at ccs.neu.edu)
Date: Fri May 30 11:22:48 EDT 2008

On Fri, May 30, 2008 at 11:08 AM, Grant Rettke <grettke at acm.org> wrote:
> Hi Jacob,
>> Package maintainers should note a new 'repositories field for info.ss where a package's repositories can be listed.
> Could you please elaborate a little more on this field or point in the
> direction of where it is documented?

Grant, it's in section 5.2.3 (Create an "info.ss" File) of the Planet
documentation, which is in the main PLT Help page under Miscellaneous
Libraries.  It reads:

The 'repositories field: If present, the repositories field should be
a list consisting of some subset of the strings "4.x" and "3xx". The
string "4.x" indicates that this package should be included in the
v4.x repository (which contains packages that are intended to run in
PLT Scheme versions at or above version 4.0), and the string "3xx"
indicates that the package should be included in the v3xx repository
(containing packages intended to run in PLT Scheme versions in the 3xx
series). A single package (and a single version of a package) may be
included in multiple repositories with the same PLaneT version number.

Carl Eastlund

Posted on the users mailing list.